classification
Title: [importlib] Deprecate find_module() & find_loader() mplementations
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: 42134 Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, hugovk, miss-islington
Priority: normal Keywords: patch

Created on 2020-10-23 23:11 by brett.cannon, last changed 2021-09-13 23:33 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25169 merged brett.cannon, 2021-04-05 15:55
PR 28312 merged hugovk, 2021-09-13 13:34
PR 28321 merged miss-islington, 2021-09-13 22:58
Messages (5)
msg379493 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-10-23 23:11
find_spec() supersedes find_module() at this point.
msg390142 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2021-04-03 21:06
find_spec() also supercedes find_loader().
msg390348 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2021-04-06 15:57
New changeset 57c6cb5100d19a0e0218c77d887c3c239c9ce435 by Brett Cannon in branch 'master':
bpo-42135: Deprecate implementations of find_module() and find_loader() (GH-25169)
https://github.com/python/cpython/commit/57c6cb5100d19a0e0218c77d887c3c239c9ce435
msg401739 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2021-09-13 22:57
New changeset 9f93018b69d72cb48d3444554261ae3b0ea00c93 by Hugo van Kemenade in branch 'main':
bpo-42135 Correct version slated for importlib.find_loader removal (GH-28312)
https://github.com/python/cpython/commit/9f93018b69d72cb48d3444554261ae3b0ea00c93
msg401742 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2021-09-13 23:33
New changeset a390bb6d66027517498e75b6b91a91be5f136d28 by Miss Islington (bot) in branch '3.10':
bpo-42135 Correct version slated for importlib.find_loader removal (GH-28312) (GH-28321)
https://github.com/python/cpython/commit/a390bb6d66027517498e75b6b91a91be5f136d28
History
Date User Action Args
2021-09-13 23:33:13brett.cannonsetmessages: + msg401742
2021-09-13 22:58:14miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request26730
2021-09-13 22:57:57brett.cannonsetmessages: + msg401739
2021-09-13 13:34:50hugovksetnosy: + hugovk

pull_requests: + pull_request26725
2021-04-06 15:57:17brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-04-06 15:57:04brett.cannonsetmessages: + msg390348
2021-04-05 15:55:20brett.cannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request23935
2021-04-03 21:07:17brett.cannonsetassignee: brett.cannon
2021-04-03 21:06:50brett.cannonsetmessages: + msg390142
2021-04-02 19:36:42brett.cannonsettitle: [importlib] Deprecate find_module() implementations -> [importlib] Deprecate find_module() & find_loader() mplementations
2020-10-23 23:11:40brett.cannonsetdependencies: + Raise ImportWarning when falling back to find_module()
2020-10-23 23:11:35brett.cannoncreate